const mongoose = require('mongoose');
const config = require('../config/database');

const OldFollowUpTypeSchema = mongoose.Schema({
  followUpType: String,
  hasDueDate: String,
  createdBy: { type: String, required: true },
  createdAt: {
    type: Date,
    default: Date.now()
  },
  updatedAt: { type: Date, default: Date.now() },
  updatedBy: { type: String }
});

const OldFollowUpType = (module.exports = mongoose.model(
  'OldFollowUpType',
  OldFollowUpTypeSchema
));

module.exports.addFollowUpType = (OldFollowUpType, callback) => {
  newFollowUpType.save(callback);
};

module.exports.getFollowUpTypeByName = (oldFollowUpType, callback) => {
  OldFollowUpType.findOne({ followUpType: followUpType }, callback);
};

module.exports.getFollowUpTypes = callback => {
  OldFollowUpType.find(callback);
};
