const express = require('express');
const router = express.Router();
const Remainder = require('../models/remainder');
const passport = require('passport');

router.get(
  '/get-remainders/:username',
  passport.authenticate('jwt', { session: false }),
  (req, res) => {
    //   // console.log(req.params.username);
    const username = req.params.username;
    Remainder.getRemainderByUsername(username, (err, remainders) => {
      if (err) {
        res.status(200).json({
          success: false,
          msg: 'Error occured',
          err: JSON.stringify(err)
        });
      } else {
        res.status(200).json({
          success: true,
          msg: 'remainders found',
          remainders: remainders
        });
      }
    });
  }
);

module.exports = router;
