const mongoose = require('mongoose');
const config = require('../config/database');

const citySchema = mongoose.Schema({
  name: { type: String, required: true },
  view: { type: String, required: true },
  createdBy: { type: String }
});

const City = (module.exports = mongoose.model('city', citySchema));

module.exports.addNewCity = (newCity, callback) => {
  newCity.save(callback);
};

module.exports.getCityByName = (cityname, callback) => {
  City.findOne({ name: cityname }, callback);
};

module.exports.getCities = callback => {
  City.find(callback);
};
