const mongoose = require('mongoose');
const config = require('../config/database');

const countrySchema = mongoose.Schema({
  name: { type: String, required: true },
  view: { type: String, required: true }
});

const Country = (module.exports = mongoose.model('country', countrySchema));

module.exports.addCountry = (newCountry, callback) => {
  newCountry.save(callback);
};

module.exports.getCountryByName = (countryname, callback) => {
  Country.findOne({ countryname: countryname }, callback);
};

module.exports.getCountries = callback => {
  Country.find(callback);
};
